import java.util.Observer;

interface Vue {
	public void changer_solde( int solde );
	public void afficher_message( String message );

	// Lorsque une demande de transfert est demandé, 
	// les vues doivent prévnir tous les observeurs qui se sont 
	// enregistrés via la fonction 
	// ajouter_un_observeur_pour_une_demande_de_transfert 
	// et leurs passer (en paramètre de la fonction Update) 
	// un objet de type Transfert contenant la quantité d'argent 
	// à transférer sur le compte.
	public void ajouter_un_observeur_pour_une_demande_de_transfert( Observer observeur );
	public void set_visible();
}
